FreeMat

- Main Page
- Related Pages

vtkPKMeansStatistics

Section: Visualization Toolkit Infovis Classes

# Usage

vtkPKMeansStatistics is vtkKMeansStatistics subclass for parallel datasets. It learns and derives the global statistical model on each node, but assesses each individual data points on the node that owns it.

To create an instance of class vtkPKMeansStatistics, simply invoke its constructor as follows

      obj = vtkPKMeansStatistics

# Methods

The class vtkPKMeansStatistics has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPKMeansStatistics class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPKMeansStatistics = obj.NewInstance ()`
- `vtkPKMeansStatistics = obj.SafeDownCast (vtkObject o)`
- `obj.SetController (vtkMultiProcessController )` - Get/Set the multiprocess controller. If no controller is set, single process is assumed.
- `vtkMultiProcessController = obj.GetController ()` - Get/Set the multiprocess controller. If no controller is set, single process is assumed.
- `obj.UpdateClusterCenters (vtkTable newClusterElements, vtkTable curClusterElements, vtkIdTypeArray numMembershipChanges, vtkIdTypeArray numElementsInCluster, vtkDoubleArray error, vtkIdTypeArray startRunID, vtkIdTypeArray endRunID, vtkIntArray computeRun)` - Subroutine to update new cluster centers from the old centers.
- `vtkIdType = obj.GetTotalNumberOfObservations (vtkIdType numObservations)` - Subroutine to get the total number of data objects.
- `obj.CreateInitialClusterCenters (vtkIdType numToAllocate, vtkIdTypeArray numberOfClusters, vtkTable inData, vtkTable curClusterElements, vtkTable newClusterElements)` - Subroutine to initialize cluster centerss if not provided by the user.